Subject: [PATCH v2 00/10] arm64: UEFI support

From: [email-masked] (Catalin Marinas)
Date: Tue, 29 Apr 2014 14:47:28 +0100

On Tue, Apr 29, 2014 at 12:43:56PM +0100, Matt Fleming wrote:
> (Pulling in Peter and Stephen)
> 
> On Tue, 29 Apr, at 11:28:17AM, Catalin Marinas wrote:
> > 
> > The patches look fine to me, they've been through several rounds of
> > review already. How do we propose these get merged as the series
> > contains both generic and arm64 patches? And there are dependencies
> > already in linux-next.
> > 
> > Are the EFI patches in -next pulled from some non-rebaseable branch?
> 
> Peter suggsted a plan when he took the generic EFI stuff that's in tip
> (and hence currently in linux-next),
> 
>   It doesn't hurt to inform Stephen, although I think it will simply fall
>   out automatically since he uses git to merge and git will recognize the
>   graph.
> 
>   During the merge window, it means they should not push their patches
>   until Linus has accepted the precondition patches from the tip tree.
>   Since Ingo and I try to push most of the tip tree as early as possible
>   in the merge window, this is usually not a problem.
> 
> So we currently have the prerequisites in tip/x86/efi, and assuming that
> this 10-patch series gets merged into a single branch somewhere, things
> should work automatically for linux-next.
> 
> It may be prudent to negotiate a plan now for when the merge window
> opens because, as Peter mentions above, the stuff in tip/x86/efi needs
> to be merged by Linus first to avoid build breakage with the arm64
> stuff.

Waiting for the tip/x86/efi to be merged first is not a problem. We
also need a stable base for testing the arm64 UEFI series, so I assume
this series can be based onto tip/x86/efi (would such branch be rebased
before hitting mainline?).

Given that Leif's series contains both generic efi and arm64 patches,
what's your preference for merging them? I'm happy to add my ack and
they go via your tree (or the other way around).

Thanks.

-- 
Catalin